Skip to main content
POST
/
brands
/
{slug}
/
tokens
/
{platform}
/
{platformUserId}
/
move
Move token to another brand
curl --request POST \
  --url https://app.autoposting.ai/api-proxy/brands/{slug}/tokens/{platform}/{platformUserId}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetBrandSlug": "new-brand"
}
'
{
  "success": true,
  "data": {
    "tokenId": "tok_01HXYZ",
    "newBrandSlug": "new-brand"
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

slug
string
required

Source brand slug.

Example:

"acme-corp"

platform
enum<string>
required

Platform identifier.

Available options:
x,
linkedin,
instagram,
threads,
youtube
Example:

"x"

platformUserId
string
required

User/page ID on the platform.

Example:

"x_12345"

Body

application/json
targetBrandSlug
string
required

Slug of the destination brand.

Example:

"new-brand"

Response

Token moved.

success
boolean
Example:

true

data
object